Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.util
Class NameConflictException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              umontreal.iro.lecuyer.util.NameConflictException

All Implemented Interfaces:
  Serializable

    public class NameConflictException

extends Exception

This exception is thrown by a `ClassFinder` when two or more fully qualified class names can be associated with a simple class name.

See Also:
  Serialized Form

Constructor Summary
`NameConflictException()` Constructs a new name conflict exception.
`NameConflictException(ClassFinder finder, String name, String message)` Constructs a new name conflict exception with class finder `finder`, simple name `name`, and message `message`.
`NameConflictException(String message)` Constructs a new name conflict exception with message `message`.

Method Summary
`ClassFinder` | `getClassFinder()` Returns the class finder associated with this exception.
`String` | `getName()` Returns the simple name associated with this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NameConflictException

    public NameConflictException()

  Constructs a new name conflict exception.

### NameConflictException

    public NameConflictException(String message)

  Constructs a new name conflict exception with message `message`.

  Parameters:
    `message` - the error message.

### NameConflictException

    public NameConflictException(ClassFinder finder,
                                 String name,
                                 String message)

  Constructs a new name conflict exception with class finder `finder`, simple name `name`, and message `message`.

  Parameters:
    `finder` - the class finder in which the name conflict occurred.
    `name` - the simple conflicting name.
    `message` - the message describint the conflict.

Method Detail

### getClassFinder

    public ClassFinder getClassFinder()

  Returns the class finder associated with this exception.

  Returns:
    the associated class finder.

### getName

    public String getName()

  Returns the simple name associated with this exception.

  Returns:
    the associated simple name.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.